Package org.eclipse.net4j.util.security

## Interface IAuthenticator

- All Known Subinterfaces:
    `IAuthenticator2`
  All Known Implementing Classes:
    `FileUserManager`, `UserManager`, `UserManagerAuthenticator`

      public interface IAuthenticator

  Authenticates users.
  Since:
    3.3
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `authenticate​(java.lang.String userID, char[] password)` | Authenticates the user with the passed `userID` by checking whether the supplied `password` matches the password stored for this user.

- - ### Method Detail

    - #### authenticate

          void authenticate​(java.lang.String userID,
                            char[] password)
                     throws java.lang.SecurityException

      Authenticates the user with the passed `userID` by checking whether the supplied `password` matches the password stored for this user.

      The implementation is required to throw a `SecurityException` if the passwords do not match.

      Throws:
        `java.lang.SecurityException`